## ros-iron-ign-ros2-control 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ign_ros2_control)

# Default to C11
if(NOT CMAKE_C_STANDARD)
    set(CMAKE_C_STANDARD 11)
endif()
# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 17)
endif()

# Compiler options
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(controller_manager REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

if("$ENV{IGNITION_VERSION}" STREQUAL "citadel")
  find_package(ignition-gazebo3 REQUIRED)
  set(IGN_GAZEBO_VER ${ignition-gazebo3_VERSION_MAJOR})
  message(STATUS "Compiling against Ignition Citadel")

elseif("$ENV{IGNITION_VERSION}" STREQUAL "edifice")
  find_package(ignition-gazebo5 REQUIRED)
  set(IGN_GAZEBO_VER ${ignition-gazebo5_VERSION_MAJOR})
  message(STATUS "Compiling against Ignition Edifice")

elseif("$ENV{IGNITION_VERSION}" STREQUAL "fortress")
  find_package(ignition-gazebo6 REQUIRED)
  set(IGN_GAZEBO_VER ${ignition-gazebo6_VERSION_MAJOR})
  message(STATUS "Compiling against Ignition Fortress")

else()
  find_package(ignition-gazebo6 REQUIRED)
  set(IGN_GAZEBO_VER ${ignition-gazebo6_VERSION_MAJOR})
  message(STATUS "Compiling against Ignition Fortress")
endif()

find_package(ignition-plugin1 REQUIRED)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

include_directories(include)

add_library(${PROJECT_NAME}-system SHARED
  src/ign_ros2_control_plugin.cpp
)

target_link_libraries(${PROJECT_NAME}-system
  ignition-gazebo${IGN_GAZEBO_VER}::core
  ignition-plugin${IGN_PLUGIN_VER}::register
)
ament_target_dependencies(${PROJECT_NAME}-system
  ament_index_cpp
  controller_manager
  hardware_interface
  pluginlib
  rclcpp
  yaml_cpp_vendor
  rclcpp_lifecycle
)

#########

add_library(ign_hardware_plugins SHARED
  src/ign_system.cpp
)
ament_target_dependencies(ign_hardware_plugins
  rclcpp_lifecycle
  hardware_interface
  rclcpp
)
target_link_libraries(ign_hardware_plugins
  ignition-gazebo${IGN_GAZEBO_VER}::core
)

## Install
install(TARGETS
  ign_hardware_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Testing and linting
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME} ign_hardware_plugins)

# Install directories
install(TARGETS ${PROJECT_NAME}-system
  DESTINATION lib
)

pluginlib_export_plugin_description_file(ign_ros2_control ign_hardware_plugins.xml)

# Setup the project
ament_package()

=== debian/changelog ===
ros-iron-ign-ros2-control (0.6.1-4jammy) jammy; urgency=high

  * Various bug fixes (#114 <https://github.com/ros-controls/gz_ros2_control/issues/114>)
  * Contributors: AndyZe

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 07 Feb 2023 08:00:00 -0000

ros-iron-ign-ros2-control (0.6.0-4jammy) jammy; urgency=high

  * Fix API braking of hardware plugin name. (#108 <https://github.com/ros-controls/gz_ros2_control/issues/108>)
  * Galactic to master -- Merge pull request #103 <https://github.com/ros-controls/gz_ros2_control/issues/103> from ros-controls/ahcorde/galactic_to_main_25_11_2022
  * Force setting use_sim_time parameter when using plugin. (#100 <https://github.com/ros-controls/gz_ros2_control/issues/100>) (#102 <https://github.com/ros-controls/gz_ros2_control/issues/102>)
  * Force setting use_sim_time parameter when using plugin. (#100 <https://github.com/ros-controls/gz_ros2_control/issues/100>)
  * Enable loading params from multiple yaml files (#94 <https://github.com/ros-controls/gz_ros2_control/issues/94>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Set right initial velocity (#81 <https://github.com/ros-controls/gz_ros2_control/issues/81>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, Lovro Ivanov

 -- Alejandro Hernández <alejandro@openrobotics.com>  Fri, 06 Jan 2023 08:00:00 -0000

ros-iron-ign-ros2-control (0.5.0-4jammy) jammy; urgency=high

  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * activated all hardware by default and improved variable naming (#74 <https://github.com/ros-controls/gz_ros2_control/issues/74>)
  * Implemented perform_command_mode_switch override in GazeboSystem (#76 <https://github.com/ros-controls/gz_ros2_control/issues/76>)
  * Remove warnings (#72 <https://github.com/ros-controls/gz_ros2_control/issues/72>)
  * change component name for ignition (#69 <https://github.com/ros-controls/gz_ros2_control/issues/69>)
  * Added logic for activating hardware interfaces (#68 <https://github.com/ros-controls/gz_ros2_control/issues/68>)
  * Merge branch 'foxy' into ahcorde/foxy_to_galactic_27_05_2022
  * Remove URDF dependency (#56 <https://github.com/ros-controls/gz_ros2_control/issues/56>)
  * Adapt to ROS 2 Humble
  * typo in citadel name (#54 <https://github.com/ros-controls/gz_ros2_control/issues/54>)
  * typo in citadel name (#51 <https://github.com/ros-controls/gz_ros2_control/issues/51>)
  * ros2_control is now having usings under its namespace. (#43 <https://github.com/ros-controls/gz_ros2_control/issues/43>)
  * Fix default ign gazebo version Rolling (#45 <https://github.com/ros-controls/gz_ros2_control/issues/45>)
  * Fix ignition version in package.xml - Rolling (#41 <https://github.com/ros-controls/gz_ros2_control/issues/41>)
  * Fixed position control (#29 <https://github.com/ros-controls/gz_ros2_control/issues/29>)
  * Add support for initial_values for hardware interfaces when starting simulation. (#27 <https://github.com/ros-controls/gz_ros2_control/issues/27>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, Guillaume Beuzeboc, Tianyu Li

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 09 Aug 2022 07:00:00 -0000

ros-iron-ign-ros2-control (0.4.1-4jammy) jammy; urgency=high

  * Remove URDF dependency (#56 <https://github.com/ignitionrobotics/ign_ros2_control/issues/56>)
  * typo in citadel name (#54 <https://github.com/ignitionrobotics/ign_ros2_control/issues/54>)
  * Contributors: Alejandro Hernández Cordero, Guillaume Beuzeboc, ahcorde

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 06 Jun 2022 07:00:00 -0000

ros-iron-ign-ros2-control (0.4.0-4jammy) jammy; urgency=high

  * Fix default ign gazebo version Galactic (#44 <https://github.com/ignitionrobotics/ign_ros2_control/issues/44>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Fri, 18 Mar 2022 07:00:00 -0000

ros-iron-ign-ros2-control (0.3.0-4jammy) jammy; urgency=high

  * Fix ignition version in package.xml (#40 <https://github.com/ignitionrobotics/ign_ros2_control/issues/40>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 16 Mar 2022 07:00:00 -0000

ros-iron-ign-ros2-control (0.2.0-4jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/ignitionrobotics/ign_ros2_control/issues/36> from ignitionrobotics/ahcorde/foxy_to_galactic
    Foxy -> Galactic
  * Merge remote-tracking branch 'origin/foxy' into ahcorde/foxy_to_galactic
  * Fixed position control (#29 <https://github.com/ignitionrobotics/ign_ros2_control/issues/29>)
  * typo fix. (#25 <https://github.com/ignitionrobotics/ign_ros2_control/issues/25>)
  * Contributors: Alejandro Hernández Cordero, Tomoya Fujita

 -- Alejandro Hernández <alejandro@openrobotics.com>  Thu, 17 Feb 2022 08:00:00 -0000

ros-iron-ign-ros2-control (0.1.2-4jammy) jammy; urgency=high

  * Fixed position control (#29 <https://github.com/ignitionrobotics/ign_ros2_control/issues/29>) (#34 <https://github.com/ignitionrobotics/ign_ros2_control/issues/34>)
  * typo fix. (#25 <https://github.com/ignitionrobotics/ign_ros2_control/issues/25>) (#26 <https://github.com/ignitionrobotics/ign_ros2_control/issues/26>)
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 14 Feb 2022 08:00:00 -0000

ros-iron-ign-ros2-control (0.1.1-4jammy) jammy; urgency=high

  * Change package names from ignition_ to ign_ (#19 <https://github.com/ignitionrobotics/ign_ros2_control/pull/22>)
    * Change package names from ignition_ to ign_
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Fri, 07 Jan 2022 08:00:00 -0000

ros-iron-ign-ros2-control (0.1.0-4jammy) jammy; urgency=high



=== debian/control ===
Source: ros-iron-ign-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernández <alejandro@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libignition-gazebo6-dev, libignition-plugin-dev, ros-iron-ament-cmake, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-controller-manager, ros-iron-hardware-interface, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-ign-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo6-dev, libignition-plugin-dev, ros-iron-ament-index-cpp, ros-iron-controller-manager, ros-iron-hardware-interface, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Description: Ignition ros2_control package allows to control simulated robots using ros2_control framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-ign-ros2-control//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
